﻿using System;
using System.Drawing;

using DevExpress.Utils;
using DevExpress.XtraEditors;
using DevExpress.XtraTab;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.xtraTabbedMdiManager.HeaderLocation                  = TabHeaderLocation.Bottom;
            this.xtraTabbedMdiManager.HeaderButtonsShowMode           = TabButtonShowMode.WhenNeeded;
            this.xtraTabbedMdiManager.HeaderButtons                   = TabButtons.Prev | TabButtons.Next | TabButtons.Close;
            this.xtraTabbedMdiManager.ClosePageButtonShowMode         = ClosePageButtonShowMode.InAllTabPageHeaders;
            this.xtraTabbedMdiManager.Appearance.Options.UseBackColor = true;
            this.xtraTabbedMdiManager.Appearance.BackColor            = Color.White;

            for(int i = 0; i < 5; i++)
            {
                XtraForm form = new XtraForm();

                form.MdiParent     = this;
                form.ShowInTaskbar = false;
                form.Text          = $"테스트 {i + 1}";

                form.Show();
            }

            this.xtraTabbedMdiManager.Pages[0].ShowCloseButton = DefaultBoolean.False;
            this.xtraTabbedMdiManager.Pages[0].Pinned          = true;

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.xtraTabbedMdiManager.SelectedPage = this.xtraTabbedMdiManager.Pages[0];
        }

        #endregion
    }
}